package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6323s00  
 * 
 *  
 */

public class Alojamiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idAlojamiento;
	private EstablecimientoData establecimientoData;
	private String descNombreAlojamiento;
	private String tipoAlojamiento;
	private String capacidad;
	private Long numPlazasDormitorio;
	private Long numPlazasConvertibles;
	private Long numUnidades;
	@Deprecated
	private BigDecimal numSupCocina;
	@Deprecated
	private BigDecimal numSupComedor;
	@Deprecated
	private BigDecimal numSupSalon;
	@Deprecated
	private BigDecimal numSupSalonComedor;
	@Deprecated
	private BigDecimal numSupSalonCocinaCom;
	@Deprecated
	private BigDecimal numSupCocinaComedor;
	@Deprecated
	private BigDecimal numSupEstudio;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private List<AseoAlojamiento> listAseoAlojamiento = new ArrayList<AseoAlojamiento>();
	private List<HabitacionAlojamiento> listHabitacionAlojamiento = new ArrayList<HabitacionAlojamiento>();
	private List<Direccion> listDireccion = new ArrayList<Direccion>();
	private String descTipoAlojamiento;
	private Long totalPlazas;
	private Integer tipoRegistro;
	private Long numAlojamiento;
	private BigDecimal numSupTotal;
	private Long capacidadTotal;
	private Integer accesibilidad;
	private String otrasCaracteristicas;
	private List<String> filterTiposAlojamiento;
	private String descAccesibilidad;
	// PORTAL
	private BigInteger anyoApertura;
	private BigInteger anyoUltimaRenovTotal;
	private String especialidad;
	private EnumAlojamientoModalidad enumAlojamientoModalidad;
	private EnumAlojamientoSubTipoRecurso subTipoRecurso;
	private EnumCategoria enumCategoria;
	private EnumEspecialidad enumEspecialidad;
	private String nombrePersonaContacto;

	// datos solo para enviar a inspecciones
	private String superficie;

	/**
	 * Method 'Ab6323s00'.
	 */
	public Alojamiento() {
	}

	/**
	 * Method 'Ab6323s00'.
	 * 
	 * @param idAlojamiento
	 *            Integer
	 */
	public Alojamiento(Integer idAlojamiento) {
		this.idAlojamiento = idAlojamiento;
	}

	/**
	 * Method 'Ab6323s00'.
	 * 
	 * @param idAlojamiento
	 *            Integer
	 * @param descNombreAlojamiento
	 *            String
	 * @param tipoAlojamiento
	 *            String
	 * @param capacidad
	 *            String
	 * @param numPlazasDormitorio
	 *            Long
	 * @param numPlazasConvertibles
	 *            Long
	 * @param numUnidades
	 *            Long
	 * @param numSupCocina
	 *            BigDecimal
	 * @param numSupComedor
	 *            BigDecimal
	 * @param numSupSalon
	 *            BigDecimal
	 * @param numSupSalonComedor
	 *            BigDecimal
	 * @param numSupSalonCocinaCom
	 *            BigDecimal
	 * @param numSupCocinaComedor
	 *            BigDecimal
	 * @param numSupEstudio
	 *            BigDecimal
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 */
	public Alojamiento(Integer idAlojamiento, String descNombreAlojamiento, String tipoAlojamiento, String capacidad,
			Long numPlazasDormitorio, Long numPlazasConvertibles, Long numUnidades, BigDecimal numSupCocina,
			BigDecimal numSupComedor, BigDecimal numSupSalon, BigDecimal numSupSalonComedor,
			BigDecimal numSupSalonCocinaCom, BigDecimal numSupCocinaComedor, BigDecimal numSupEstudio,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			EstablecimientoData ab6321s00, Integer tipoRegistro, Long numAlojamiento, BigDecimal numSupTotal,
			Long capacidadTotal, Integer accesibilidad, String otrasCaracteristicas) {
		this.idAlojamiento = idAlojamiento;
		this.establecimientoData = ab6321s00;
		this.descNombreAlojamiento = descNombreAlojamiento;
		this.tipoAlojamiento = tipoAlojamiento;
		this.capacidad = capacidad;
		this.numPlazasDormitorio = numPlazasDormitorio;
		this.numPlazasConvertibles = numPlazasConvertibles;
		this.numUnidades = numUnidades;
		this.numSupCocina = numSupCocina;
		this.numSupComedor = numSupComedor;
		this.numSupSalon = numSupSalon;
		this.numSupSalonComedor = numSupSalonComedor;
		this.numSupSalonCocinaCom = numSupSalonCocinaCom;
		this.numSupCocinaComedor = numSupCocinaComedor;
		this.numSupEstudio = numSupEstudio;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.tipoRegistro = tipoRegistro;
		this.numAlojamiento = numAlojamiento;
		this.numSupTotal = numSupTotal;
		this.capacidadTotal = capacidadTotal;
		this.accesibilidad = accesibilidad;
		this.otrasCaracteristicas = otrasCaracteristicas;
	}

	/**
	 * Method 'Ab6323s00'.
	 * 
	 * @param idAlojamiento
	 *            Integer
	 * @param descNombreAlojamiento
	 *            String
	 * @param tipoAlojamiento
	 *            String
	 * @param capacidad
	 *            String
	 * @param numPlazasDormitorio
	 *            Long
	 * @param numPlazasConvertibles
	 *            Long
	 * @param numUnidades
	 *            Long
	 * @param numSupCocina
	 *            BigDecimal
	 * @param numSupComedor
	 *            BigDecimal
	 * @param numSupSalon
	 *            BigDecimal
	 * @param numSupSalonComedor
	 *            BigDecimal
	 * @param numSupSalonCocinaCom
	 *            BigDecimal
	 * @param numSupCocinaComedor
	 *            BigDecimal
	 * @param numSupEstudio
	 *            BigDecimal
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 * @param ab6326s00s
	 *            List<Ab6326s00>
	 * @param ab6324s00s
	 *            List<Ab6324s00>
	 * @param ab6328s00s
	 *            List<Ab6328s00>
	 */
	public Alojamiento(Integer idAlojamiento, String descNombreAlojamiento, String tipoAlojamiento, String capacidad,
			Long numPlazasDormitorio, Long numPlazasConvertibles, Long numUnidades, BigDecimal numSupCocina,
			BigDecimal numSupComedor, BigDecimal numSupSalon, BigDecimal numSupSalonComedor,
			BigDecimal numSupSalonCocinaCom, BigDecimal numSupCocinaComedor, BigDecimal numSupEstudio,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			EstablecimientoData ab6321s00, List<AseoAlojamiento> ab6326s00s, List<HabitacionAlojamiento> ab6324s00s,
			List<Direccion> ab6328s00s) {

		this.idAlojamiento = idAlojamiento;
		this.establecimientoData = ab6321s00;
		this.descNombreAlojamiento = descNombreAlojamiento;
		this.tipoAlojamiento = tipoAlojamiento;
		this.capacidad = capacidad;
		this.numPlazasDormitorio = numPlazasDormitorio;
		this.numPlazasConvertibles = numPlazasConvertibles;
		this.numUnidades = numUnidades;
		this.numSupCocina = numSupCocina;
		this.numSupComedor = numSupComedor;
		this.numSupSalon = numSupSalon;
		this.numSupSalonComedor = numSupSalonComedor;
		this.numSupSalonCocinaCom = numSupSalonCocinaCom;
		this.numSupCocinaComedor = numSupCocinaComedor;
		this.numSupEstudio = numSupEstudio;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.listAseoAlojamiento = ab6326s00s;
		this.listHabitacionAlojamiento = ab6324s00s;
		this.listDireccion = ab6328s00s;
	}

	/**
	 * Method 'getIdAlojamiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdAlojamiento() {
		return this.idAlojamiento;
	}

	/**
	 * Method 'setIdAlojamiento'.
	 *
	 * @param idAlojamiento
	 *            Integer
	 * @return
	 */

	public void setIdAlojamiento(Integer idAlojamiento) {
		this.idAlojamiento = idAlojamiento;
	}

	/**
	 * Method 'getAb6321s00'.
	 *
	 * @return Ab6321s00
	 */

	public EstablecimientoData getEstablecimientoData() {
		return this.establecimientoData;
	}

	/**
	 * Method 'setAb6321s00'.
	 *
	 * @param ab6321s00
	 *            Ab6321s00
	 * @return
	 */

	public void setEstablecimientoData(EstablecimientoData ab6321s00) {
		this.establecimientoData = ab6321s00;
	}

	/**
	 * Method 'getDescNombreAlojamiento'.
	 *
	 * @return String
	 */

	public String getDescNombreAlojamiento() {
		return this.descNombreAlojamiento;
	}

	/**
	 * Method 'setDescNombreAlojamiento'.
	 *
	 * @param descNombreAlojamiento
	 *            String
	 * @return
	 */

	public void setDescNombreAlojamiento(String descNombreAlojamiento) {
		this.descNombreAlojamiento = descNombreAlojamiento;
	}

	/**
	 * Method 'getTipoAlojamiento'.
	 *
	 * @return String
	 */

	public String getTipoAlojamiento() {
		return this.tipoAlojamiento;
	}

	/**
	 * Method 'setTipoAlojamiento'.
	 *
	 * @param tipoAlojamiento
	 *            String
	 * @return
	 */

	public void setTipoAlojamiento(String tipoAlojamiento) {
		this.tipoAlojamiento = tipoAlojamiento;
	}

	/**
	 * Method 'getCapacidad'.
	 *
	 * @return String
	 */

	public String getCapacidad() {
		return this.capacidad;
	}

	/**
	 * Method 'setCapacidad'.
	 *
	 * @param capacidad
	 *            String
	 * @return
	 */

	public void setCapacidad(String capacidad) {
		this.capacidad = capacidad;
	}

	/**
	 * Method 'getNumPlazasDormitorio'.
	 *
	 * @return Long
	 */

	public Long getNumPlazasDormitorio() {
		return this.numPlazasDormitorio;
	}

	/**
	 * Method 'setNumPlazasDormitorio'.
	 *
	 * @param numPlazasDormitorio
	 *            Long
	 * @return
	 */

	public void setNumPlazasDormitorio(Long numPlazasDormitorio) {
		this.numPlazasDormitorio = numPlazasDormitorio;
	}

	/**
	 * Method 'getNumPlazasConvertibles'.
	 *
	 * @return Long
	 */

	public Long getNumPlazasConvertibles() {
		return this.numPlazasConvertibles;
	}

	/**
	 * Method 'setNumPlazasConvertibles'.
	 *
	 * @param numPlazasConvertibles
	 *            Long
	 * @return
	 */

	public void setNumPlazasConvertibles(Long numPlazasConvertibles) {
		this.numPlazasConvertibles = numPlazasConvertibles;
	}

	/**
	 * Method 'getNumUnidades'.
	 *
	 * @return Long
	 */

	public Long getNumUnidades() {
		return this.numUnidades;
	}

	/**
	 * Method 'setNumUnidades'.
	 *
	 * @param numUnidades
	 *            Long
	 * @return
	 */

	public void setNumUnidades(Long numUnidades) {
		this.numUnidades = numUnidades;
	}

	/**
	 * Method 'getNumSupCocina'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupCocina() {
		return this.numSupCocina;
	}

	/**
	 * Method 'setNumSupCocina'.
	 *
	 * @param numSupCocina
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupCocina(BigDecimal numSupCocina) {
		this.numSupCocina = numSupCocina;
	}

	/**
	 * Method 'getNumSupComedor'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupComedor() {
		return this.numSupComedor;
	}

	/**
	 * Method 'setNumSupComedor'.
	 *
	 * @param numSupComedor
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupComedor(BigDecimal numSupComedor) {
		this.numSupComedor = numSupComedor;
	}

	/**
	 * Method 'getNumSupSalon'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupSalon() {
		return this.numSupSalon;
	}

	/**
	 * Method 'setNumSupSalon'.
	 *
	 * @param numSupSalon
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupSalon(BigDecimal numSupSalon) {
		this.numSupSalon = numSupSalon;
	}

	/**
	 * Method 'getNumSupSalonComedor'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupSalonComedor() {
		return this.numSupSalonComedor;
	}

	/**
	 * Method 'setNumSupSalonComedor'.
	 *
	 * @param numSupSalonComedor
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupSalonComedor(BigDecimal numSupSalonComedor) {
		this.numSupSalonComedor = numSupSalonComedor;
	}

	/**
	 * Method 'getNumSupSalonCocinaCom'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupSalonCocinaCom() {
		return this.numSupSalonCocinaCom;
	}

	/**
	 * Method 'setNumSupSalonCocinaCom'.
	 *
	 * @param numSupSalonCocinaCom
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupSalonCocinaCom(BigDecimal numSupSalonCocinaCom) {
		this.numSupSalonCocinaCom = numSupSalonCocinaCom;
	}

	/**
	 * Method 'getNumSupCocinaComedor'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupCocinaComedor() {
		return this.numSupCocinaComedor;
	}

	/**
	 * Method 'setNumSupCocinaComedor'.
	 *
	 * @param numSupCocinaComedor
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupCocinaComedor(BigDecimal numSupCocinaComedor) {
		this.numSupCocinaComedor = numSupCocinaComedor;
	}

	/**
	 * Method 'getNumSupEstudio'.
	 *
	 * @return BigDecimal
	 */
	@Deprecated
	public BigDecimal getNumSupEstudio() {
		return this.numSupEstudio;
	}

	/**
	 * Method 'setNumSupEstudio'.
	 *
	 * @param numSupEstudio
	 *            BigDecimal
	 * @return
	 */
	@Deprecated
	public void setNumSupEstudio(BigDecimal numSupEstudio) {
		this.numSupEstudio = numSupEstudio;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getAb6326s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<AseoAlojamiento> getListAseoAlojamiento() {
		return this.listAseoAlojamiento;
	}

	/**
	 * Method 'setAb6326s00s'.
	 *
	 * @param ab6326s00s
	 *            List
	 * @return
	 */
	public void setListAseoAlojamiento(List<AseoAlojamiento> ab6326s00s) {
		this.listAseoAlojamiento = ab6326s00s;
	}

	/**
	 * Method 'getAb6324s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<HabitacionAlojamiento> getListHabitacionAlojamiento() {
		return this.listHabitacionAlojamiento;
	}

	/**
	 * Method 'setAb6324s00s'.
	 *
	 * @param ab6324s00s
	 *            List
	 * @return
	 */
	public void setListHabitacionAlojamiento(List<HabitacionAlojamiento> ab6324s00s) {
		this.listHabitacionAlojamiento = ab6324s00s;
	}

	/**
	 * Method 'getAb6328s00s'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<Direccion> getListDireccion() {
		return this.listDireccion;
	}

	/**
	 * Method 'setAb6328s00s'.
	 *
	 * @param ab6328s00s
	 *            List
	 * @return
	 */
	public void setListDireccion(List<Direccion> ab6328s00s) {
		this.listDireccion = ab6328s00s;
	}

	public String getDescTipoAlojamiento() {
		return descTipoAlojamiento;
	}

	public void setDescTipoAlojamiento(String descTipoAlojamiento) {
		this.descTipoAlojamiento = descTipoAlojamiento;
	}

	public Long getTotalPlazas() {
		return totalPlazas;
	}

	public void setTotalPlazas(Long totalPlazas) {
		this.totalPlazas = totalPlazas;
	}

	public String getEspecialidad() {
		return especialidad;
	}

	public void setEspecialidad(String especialidad) {
		this.especialidad = especialidad;
	}

	public EnumAlojamientoModalidad getEnumAlojamientoModalidad() {
		return enumAlojamientoModalidad;
	}

	public Integer getTipoRegistro() {
		return tipoRegistro;
	}

	public void setTipoRegistro(Integer tipoRegistro) {
		this.tipoRegistro = tipoRegistro;
	}

	public Long getNumAlojamiento() {
		return numAlojamiento;
	}

	public void setNumAlojamiento(Long numAlojamiento) {
		this.numAlojamiento = numAlojamiento;
	}

	public BigDecimal getNumSupTotal() {
		return numSupTotal;
	}

	public void setNumSupTotal(BigDecimal numSupTotal) {
		this.numSupTotal = numSupTotal;
	}

	public Long getCapacidadTotal() {
		return capacidadTotal;
	}

	public void setCapacidadTotal(Long capacidadTotal) {
		this.capacidadTotal = capacidadTotal;
	}

	public Integer getAccesibilidad() {
		return accesibilidad;
	}

	public void setAccesibilidad(Integer accesibilidad) {
		this.accesibilidad = accesibilidad;
	}

	public String getOtrasCaracteristicas() {
		return otrasCaracteristicas;
	}

	public void setOtrasCaracteristicas(String otrasCaracteristicas) {
		this.otrasCaracteristicas = otrasCaracteristicas;
	}

	public List<String> getFilterTiposAlojamiento() {
		return filterTiposAlojamiento;
	}

	public void setFilterTiposAlojamiento(List<String> filterTiposAlojamiento) {
		this.filterTiposAlojamiento = filterTiposAlojamiento;
	}

	public String getDescAccesibilidad() {
		return descAccesibilidad;
	}

	public void setDescAccesibilidad(String descAccesibilidad) {
		this.descAccesibilidad = descAccesibilidad;
	}

	public void setEnumAlojamientoModalidad(EnumAlojamientoModalidad enumAlojamientoModalidad) {
		this.enumAlojamientoModalidad = enumAlojamientoModalidad;
	}

	public EnumAlojamientoSubTipoRecurso getSubTipoRecurso() {
		return subTipoRecurso;
	}

	public void setSubTipoRecurso(EnumAlojamientoSubTipoRecurso subTipoRecurso) {
		this.subTipoRecurso = subTipoRecurso;
	}

	public EnumCategoria getEnumCategoria() {
		return enumCategoria;
	}

	public void setEnumCategoria(EnumCategoria enumCategoria) {
		this.enumCategoria = enumCategoria;
	}

	public EnumEspecialidad getEnumEspecialidad() {
		return enumEspecialidad;
	}

	public void setEnumEspecialidad(EnumEspecialidad enumEspecialidad) {
		this.enumEspecialidad = enumEspecialidad;
	}

	public String getNombrePersonaContacto() {
		return nombrePersonaContacto;
	}

	public void setNombrePersonaContacto(String nombrePersonaContacto) {
		this.nombrePersonaContacto = nombrePersonaContacto;
	}

	/**
	 * @return the anyoApertura
	 */
	public BigInteger getAnyoApertura() {
		return anyoApertura;
	}

	/**
	 * @param anyoApertura
	 *            the anyoApertura to set
	 */
	public void setAnyoApertura(BigInteger anyoApertura) {
		this.anyoApertura = anyoApertura;
	}

	/**
	 * @return the anyoUltimaRenovTotal
	 */
	public BigInteger getAnyoUltimaRenovTotal() {
		return anyoUltimaRenovTotal;
	}

	/**
	 * @param anyoUltimaRenovTotal
	 *            the anyoUltimaRenovTotal to set
	 */
	public void setAnyoUltimaRenovTotal(BigInteger anyoUltimaRenovTotal) {
		this.anyoUltimaRenovTotal = anyoUltimaRenovTotal;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idAlojamiento: ").append(this.idAlojamiento).append(" ]");
		result.append(", [ descNombreAlojamiento: ").append(this.descNombreAlojamiento).append(" ]");
		result.append(", [ tipoAlojamiento: ").append(this.tipoAlojamiento).append(" ]");
		result.append(", [ capacidad: ").append(this.capacidad).append(" ]");
		result.append(", [ numPlazasDormitorio: ").append(this.numPlazasDormitorio).append(" ]");
		result.append(", [ numPlazasConvertibles: ").append(this.numPlazasConvertibles).append(" ]");
		result.append(", [ numUnidades: ").append(this.numUnidades).append(" ]");
		result.append(", [ numSupCocina: ").append(this.numSupCocina).append(" ]");
		result.append(", [ numSupComedor: ").append(this.numSupComedor).append(" ]");
		result.append(", [ numSupSalon: ").append(this.numSupSalon).append(" ]");
		result.append(", [ numSupSalonComedor: ").append(this.numSupSalonComedor).append(" ]");
		result.append(", [ numSupSalonCocinaCom: ").append(this.numSupSalonCocinaCom).append(" ]");
		result.append(", [ numSupCocinaComedor: ").append(this.numSupCocinaComedor).append(" ]");
		result.append(", [ numSupEstudio: ").append(this.numSupEstudio).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
